### Function

# Secret Item new_for_dbus_path

#### Declaration [src]

    void
    secret_item_new_for_dbus_path (
      SecretService* service,
      const gchar* item_path,
      SecretItemFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get a new item proxy for a secret item in the secret service.

If `service` is `NULL`, then `secret_service_get()` will be called to get the default `SecretService` proxy.

This method will return immediately and complete asynchronously.

Stability: | Unstable

#### Parameters

`service` | `SecretService`
| A secret service object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`item_path` | `const gchar*`
| The D-Bus path of the collection.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `SecretItemFlags`
| Initialization flags for the new item.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.